Page MenuHomePhabricator

Superset aggregation across edit tags uses all tags
Closed, ResolvedPublic

Description

Creating a chart that aggregates edits tagged with a certain subset of edit tags results in additional tags being shown in the chart. From what I can tell it appears that aggregation occurs for all tags that the edits might be tagged with (e.g. "mobile edit' and "mobile web edit" for edits on mobile). This results in a very confusing chart.

See http://superset.wikimedia.org/r/140 for an example. I'd expect the chart to only show weekly edit counts for the 4 selected tags: "help panel question", "help module question", "mentorship module question", and "newcomer task".

Event Timeline

LGoto moved this task from Triage to Tracking on the Product-Analytics board.Feb 3 2020, 5:43 PM
fdans moved this task from Incoming to Ops Week on the Analytics board.
Nuria assigned this task to fdans.Feb 17 2020, 5:26 PM
Nuria added a subscriber: Nuria.May 26 2020, 5:33 AM

Maybe I am missing something but ...isn't revision_tags an array per revision?

fdans closed this task as Resolved.Jun 15 2020, 4:14 PM

According to the way edits_hourly is defined, the data as it's presented is correct. This seems more of a visualization problem. Maybe try to run a presto query that does an explode on the tags and visualize that? If you think this is a problem we can file the bug upstream.